package com.fr.plugin.llcassso.logout;

import com.fr.decision.fun.impl.AbstractLogInOutEventProvider;
import com.fr.decision.webservice.login.LogInOutResultInfo;
import com.fr.decision.webservice.v10.login.LoginService;
import com.fr.plugin.llcassso.config.PluginSimpleConfig;
import com.fr.plugin.transform.FunctionRecorder;

import javax.servlet.http.HttpSession;
import java.net.URLEncoder;

@FunctionRecorder
public class Logout extends AbstractLogInOutEventProvider {

    @Override
    public String logoutAction(LogInOutResultInfo result) {
        HttpSession session = result.getRequest().getSession(true);
        LoginService.getInstance().crossDomainLogout(result.getRequest(),result.getResponse(),"");
        session.invalidate();

        return "/webroot/decision";
    }
}

